import api from './api'

/**
 * 基本信息
 */
export function getUserInfo(data) {
  console.log('--> % getUserInfo % data:\n', data)
  return api.get('/member/user/get', data, { login: true })
}

/**
 * 获取收藏产品,或足迹
 */
export function relationCollectUser(data) {
  console.log('--> % getUserInfo % data:\n', data)
  return api.get('/relation/collect/user', data, { login: true })
}

/**
 * 修改用户头像
 */
export function updateAvatar(data) {
  return api.post('/member/user/update-avatar', data, { login: true })
}
